Package org.globus.gsi.trustmanager

# Class PKITrustManagerFactory

java.lang.Object
javax.net.ssl.TrustManagerFactorySpi
org.globus.gsi.trustmanager.PKITrustManagerFactory

public class PKITrustManagerFactory extends TrustManagerFactorySpi
This factory creates trust managers which support the Globus SSL library.

Since:
  1.0
Version:
  ${version}

## Constructor Summary

Constructors
Constructor
Description
`PKITrustManagerFactory()`

## Method Summary

Modifier and Type
Method
Description
`protected TrustManager[]`
`engineGetTrustManagers()`
Returns one trust manager for each type of trust material.
`protected void`
`engineInit(KeyStore keyStore)`
Initializes this factory with a source of certificate authorities and related trust material.
`protected void`
`engineInit(ManagerFactoryParameters managerFactoryParameters)`
Initializes this factory with a source of provider-specific key material.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PKITrustManagerFactory

public PKITrustManagerFactory()

## Method Details

### engineInit

protected void engineInit(KeyStore keyStore) throws KeyStoreException
Initializes this factory with a source of certificate authorities and related trust material.

Specified by:
  `engineInit` in class `TrustManagerFactorySpi`
Parameters:
  `keyStore` - The key store or null
Throws:
  `KeyStoreException` - if the initialization fails.

### engineInit

protected void engineInit(ManagerFactoryParameters managerFactoryParameters) throws InvalidAlgorithmParameterException
Initializes this factory with a source of provider-specific key material. In some cases, initialization parameters other than a keystore may be needed by a provider. Users of that particular provider are expected to pass an implementation of the appropriate ManagerFactoryParameters as defined by the provider. The provider can then call the specified methods in the ManagerFactoryParameters implementation to obtain the needed information.

This implementation requires X509ProxyCertPathParameters.

Specified by:
  `engineInit` in class `TrustManagerFactorySpi`
Parameters:
  `managerFactoryParameters` - The X509ProxyCertPathParameters which are used to create TrustManagers.
Throws:
  `InvalidAlgorithmParameterException` - If the Parameters are invalid

### engineGetTrustManagers

protected TrustManager[] engineGetTrustManagers()
Returns one trust manager for each type of trust material.

Specified by:
  `engineGetTrustManagers` in class `TrustManagerFactorySpi`
Returns:
  The collection of TrustManagers